#ifndef PROCESSISOINFO_H
#define PROCESSISOINFO_H

#include "src/process/processbasic.h"

#include <QObject>

class ProcessISOInfo : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessISOInfo(void *, QObject *parent = nullptr);
    ~ProcessISOInfo();
public:
    bool isEmpty() const { return m_bIsEmpty; }
protected:
    bool prepare();
protected:
    void slotsStart(){}
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus){}
private:
    bool  m_bIsEmpty;
    void *m_oCDROM;
};

#endif // PROCESSISOINFO_H
